package com.bailuntec.job;

import com.bailuntec.support.PointJob;
import com.dangdang.ddframe.job.api.ShardingContext;
import com.dangdang.ddframe.job.executor.ShardingContexts;
import org.junit.jupiter.api.Test;

import java.util.HashMap;

/**
 * <p>
 *
 * </p>
 *
 * @author robbendev
 * @since 2020/10/6 1:27 下午
 */
class ManageCostJobTest {

    @Test
    void executeJob() {

        PointJob pointJob = new ManageCostJob();
        ShardingContext shardingContext = new ShardingContext(
                new ShardingContexts("x", "base-sync-managecost", 1, null, new HashMap<>()), 0
        );
        pointJob.execute(shardingContext);
    }
}
